Index: /extensions/NBC_UserAdvManager/branches/2.13/admin/userlist.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.13/admin/userlist.tpl	(revision 4990)
+++ /extensions/NBC_UserAdvManager/branches/2.13/admin/userlist.tpl	(revision 4991)
@@ -1,13 +1,26 @@
-﻿<div class="titrePage">
-  <h2>{'Title_Tab5'|@translate}</h2>
+﻿{known_script id="jquery" src=$ROOT_URL|@cat:"template-common/lib/jquery.packed.js"}
+{known_script id="jquery.cluetip" src=$ROOT_URL|@cat:"template-common/lib/plugins/jquery.cluetip.packed.js"}
+
+{html_head}<link rel="stylesheet" type="text/css" href="{$NBC_UAM_PATH}admin/uam.css">{/html_head}
+
+<script type="text/javascript">
+jQuery().ready(function(){ldelim}
+  jQuery('.cluetip').cluetip({ldelim}
+    width: 500,
+    splitTitle: '|'
+  });
+});
+</script>
+
+<div class="titrePage">
+  <h2>{'Title_Tab'|@translate} {$UAM_VERSION}<br>{'SubTitle5'|@translate}</h2>
 </div>
 
 <form method="post" action="{$UserAdvManager_F_ACTION}" class="general">
   <fieldset>
-  	<legend>{'UserList_Title'|@translate}</legend>
-    <ul>
-		<li><label>{'UserAdvManager_User_List'|@translate}</label><br><br>
-<div class="navigationBar">{$NAVBAR}</div>
-		<table class="table2" width="97%" summary="">
+  	<legend class="cluetip" title="{'UAM_userlistTitle'|translate}|{'UAM_userlistTitle_d'|translate}">{'UserList_Title'|@translate}</legend>
+
+    <div class="navigationBar">{$NAVBAR}</div>
+      <table class="table2" width="97%" summary="">
   			<thead>
     			<tr class="throw">
@@ -19,28 +32,27 @@
   			</thead>
 
-			{foreach from=$users item=user name=users_loop}
-  				<tr class="{if $smarty.foreach.users_loop.index is odd}row1{else}row2{/if}">
-    			<td><label for="selection-{$user.ID}">{$user.USERNAME}</label></td>
-    			<td>{$user.EMAIL}</td>
-          <td style="text-align:center;">{$user.LASTVISIT}</td>
+        {foreach from=$users item=user name=users_loop}
+          <tr class="{if $smarty.foreach.users_loop.index is odd}row1{else}row2{/if}">
+            <td><label for="selection-{$user.ID}">{$user.USERNAME}</label></td>
+            <td>{$user.EMAIL}</td>
+            <td style="text-align:center;">{$user.LASTVISIT}</td>
 {if $user.DISPLAY == 'green'}
-          <td style="color:lime;text-align:center;">{$user.DAYS}</td>
+            <td style="color:lime;text-align:center;">{$user.DAYS}</td>
 {elseif $user.DISPLAY == 'orange'}
-          <td style="color:orange;text-align:center;">{$user.DAYS}</td>
+            <td style="color:orange;text-align:center;">{$user.DAYS}</td>
 {elseif $user.DISPLAY == 'red'}
-          <td style="color:red;text-align:center;">{$user.DAYS}</td>
+            <td style="color:red;text-align:center;">{$user.DAYS}</td>
 {else}
-          <td style="text-align:center;">{$user.DAYS}</td>
+            <td style="text-align:center;">{$user.DAYS}</td>
 {/if}
-    			{foreach from=$user.plugin_columns item=data}
-    			<td>{$data}</td>
-    			{/foreach}    			
-  			</tr>
-  		{/foreach}
-		</table>
-<div class="navigationBar">{$NAVBAR}</div>
+            {foreach from=$user.plugin_columns item=data}
+              <td>{$data}</td>
+            {/foreach}    			
+          </tr>
+        {/foreach}
+      </table>
+
+      <div class="navigationBar">{$NAVBAR}</div>
     	<br>
-	    </li>
-    </ul>
   </fieldset>
 </form>
Index: /extensions/NBC_UserAdvManager/branches/2.13/admin/usermanager.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.13/admin/usermanager.tpl	(revision 4990)
+++ /extensions/NBC_UserAdvManager/branches/2.13/admin/usermanager.tpl	(revision 4991)
@@ -1,15 +1,27 @@
-﻿<div class="titrePage">
-  <h2>{'Title_Tab3'|@translate}</h2>
+﻿{known_script id="jquery" src=$ROOT_URL|@cat:"template-common/lib/jquery.packed.js"}
+{known_script id="jquery.cluetip" src=$ROOT_URL|@cat:"template-common/lib/plugins/jquery.cluetip.packed.js"}
+
+{html_head}<link rel="stylesheet" type="text/css" href="{$NBC_UAM_PATH}admin/uam.css">{/html_head}
+
+<script type="text/javascript">
+jQuery().ready(function(){ldelim}
+  jQuery('.cluetip').cluetip({ldelim}
+    width: 500,
+    splitTitle: '|'
+  });
+});
+</script>
+
+<div class="titrePage">
+  <h2>{'Title_Tab'|@translate} {$UAM_VERSION}<br>{'SubTitle3'|@translate}</h2>
 </div>
 
 <form method="post" action="{$UserAdvManager_F_ACTION}" class="general">
   <fieldset>
-  	<legend>{'UserManager_Title'|@translate}</legend>
-    <ul>
-		<li><label>{'UserAdvManager_ConfirmMail_User_List'|@translate}</label><br>
-      <br>
-<div class="navigationBar">{$NAVBAR}</div>
-		<table class="table2" width="97%" summary="">
-  			<thead>
+  	<legend class="cluetip" title="{'UAM_usermanTitle'|translate}|{'UAM_usermanTitle_d'|translate}">{'UserManager_Title'|@translate}</legend>
+
+    <div class="navigationBar">{$NAVBAR}</div>
+      <table class="table2" width="97%" summary="">
+  		  <thead>
     			<tr class="throw">
       			<td>&nbsp;</td>
@@ -23,23 +35,22 @@
   			</thead>
 
-			{foreach from=$users item=user name=users_loop}
-  				<tr class="{if $smarty.foreach.users_loop.index is odd}row1{else}row2{/if}">
-    			<td><input type="checkbox" name="selection[]" value="{$user.ID}" {$user.CHECKED} id="selection-{$user.ID}" ></td>
-    			<td><label for="selection-{$user.ID}">{$user.USERNAME}</label></td>
-    			<td>{$user.STATUS}</td>
-    			<td>{$user.EMAIL}</td>
-    			<td>{$user.GROUPS}</td>
-					<td {if $user.EXPIRATION == True}style="color:red;text-align:center;"{else}style="color:lime;text-align:center;"{/if}>{$user.REGISTRATION}</td>
-          <td style="text-align:center;">{$user.REMINDER}</td>
-    			{foreach from=$user.plugin_columns item=data}
-    			<td>{$data}</td>
-    			{/foreach}    			
-  			</tr>
-  		{/foreach}
-		</table>
-<div class="navigationBar">{$NAVBAR}</div>
+        {foreach from=$users item=user name=users_loop}
+          <tr class="{if $smarty.foreach.users_loop.index is odd}row1{else}row2{/if}">
+            <td><input type="checkbox" name="selection[]" value="{$user.ID}" {$user.CHECKED} id="selection-{$user.ID}" ></td>
+            <td><label for="selection-{$user.ID}">{$user.USERNAME}</label></td>
+            <td>{$user.STATUS}</td>
+            <td>{$user.EMAIL}</td>
+            <td>{$user.GROUPS}</td>
+            <td {if $user.EXPIRATION == True}style="color:red;text-align:center;"{else}style="color:lime;text-align:center;"{/if}>{$user.REGISTRATION}</td>
+            <td style="text-align:center;">{$user.REMINDER}</td>
+            {foreach from=$user.plugin_columns item=data}
+              <td>{$data}</td>
+            {/foreach}    			
+          </tr>
+        {/foreach}
+      </table>
+
+      <div class="navigationBar">{$NAVBAR}</div>
     	<br>
-	    </li>
-    </ul>
 
 <p>
Index: /extensions/NBC_UserAdvManager/branches/2.13/changelog.txt.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.13/changelog.txt.php	(revision 4990)
+++ /extensions/NBC_UserAdvManager/branches/2.13/changelog.txt.php	(revision 4991)
@@ -122,4 +122,11 @@
             Italian language improvement (thx to Rio)
 
+-- 2.13.4 : Add of obsolete files management
+            Bug 1303 and 1387 fixed - Due to a bug in Piwigo's 2.0.8 switch_lang() function, the email contents using Extended Description tags wasn't taking user's language in account. A frist fix is now set for the current 2.0.8 Piwigo's version and another one is ready to work for the next Piwigo's release.
+            Bug 1444 fixed
+            Bug 1445 fixed - The plugin's administration panel have been all reviewed and improved with text simplification and display enhancement.
+            Bug 1463 fixed
+            
+            *** Feature temporarily postponed in a later version due to problems with ";" in text fields *** Add compatibility with FCK Editor plugin for email text fields
 */
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.13/include/constants.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.13/include/constants.php	(revision 4990)
+++ /extensions/NBC_UserAdvManager/branches/2.13/include/constants.php	(revision 4991)
@@ -3,3 +3,4 @@
 define('USER_CONFIRM_MAIL_TABLE', $prefixeTable.'user_confirm_mail');
 define('USER_LASTVISIT_TABLE', $prefixeTable.'user_lastvisit_check');
+define('UAM_OBSOLETE', 'obsolete.list');
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.13/include/functions_UserAdvManager.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.13/include/functions_UserAdvManager.inc.php	(revision 4990)
+++ /extensions/NBC_UserAdvManager/branches/2.13/include/functions_UserAdvManager.inc.php	(revision 4991)
@@ -1,11 +1,18 @@
 <?php
-include_once (NBC_UserAdvManager_PATH.'include/constants.php');
-load_language('plugin.lang', NBC_UserAdvManager_PATH);
+include_once (NBC_UAM_PATH.'include/constants.php');
+load_language('plugin.lang', NBC_UAM_PATH);
 
 /* Function called from main.inc.php to send validation email */
 function SendMail2User($typemail, $id, $username, $password, $email, $confirm)
 {
-  global $conf;
-  load_language('plugin.lang', NBC_UserAdvManager_PATH);
+  /* Only available for next Piwigo release (bug in switch_lang function) */
+  //global $conf;
+  
+  /* ****************************************************************** */
+  /* Delete this after new Piwigo release (bug in switch_lang function) */
+  global $conf, $user;
+  $save_user = $user; 
+  /* ****************************************************************** */
+
   $conf_nbc_UserAdvManager = isset($conf['nbc_UserAdvManager']) ? explode(";" , $conf['nbc_UserAdvManager']) : array();
   
@@ -22,7 +29,19 @@
 ;';
   $data = mysql_fetch_assoc(pwg_query($query));
-  $language = $data['language'];
+
+/* Check if user is already registered (profile changing) - If not (new registration), language is set to current gallery language */
+  if (empty($data))
+  {
 /* And switch gallery to this language before using personalized and multilangual contents */
-  switch_lang_to($data['language']);
+    $language = pwg_get_session_var( 'lang_switch', $user['language'] );
+    switch_lang_to($language);
+  }
+  else
+  {
+/* And switch gallery to this language before using personalized and multilangual contents */
+    $language = $data['language']; /* Usefull for debugging */
+    switch_lang_to($data['language']);
+    load_language('plugin.lang', NBC_UAM_PATH);
+  }
 
   switch($typemail)
@@ -92,7 +111,4 @@
   ));
 
-/* Switching back to default language */
-switch_lang_back();
-
 /* ********************** */
 /* Email sending debugger */
@@ -100,22 +116,16 @@
 /* the send of emails for */
 /* debugging              */
-/* ********************** */  
-//  MailLog($email,$subject, $content);
 /* ********************** */
-}
-
-
-/* Email sending debugger function */
-//function MailLog  ($to, $subject, $content)
-//{
-//   $fo=fopen (NBC_UserAdvManager_PATH.'admin/maillog.txt','a') ;
-//   fwrite($fo,"======================\n") ;
-//   fwrite($fo,'le ' . date('D, d M Y H:i:s') . "\r\n");
-//   fwrite($fo,$to . "\n" . $subject . "\r\n") ;
-//   fwrite($fo, "\n" . $content . "\r\n") ;
-   //fwrite($fo, 'Langue : '."\n" . $language . "\r\n") ;
-//   fclose($fo) ;
-   //return mail ($to,$subject) ;
-//}
+//$content = (isset($infos1) ? $infos1_perso.l10n_args($infos1)."\n\n" : "").(isset($infos2) ? $infos2_perso.l10n_args($infos2)."\n\n" : "").get_absolute_root_url();   
+//MailLog($email,$subject,$content,$language);
+/* ********************** */
+
+/* Switching back to default language */
+  /* ****************************************************************** */
+  /* Delete this after new Piwigo release (bug in switch_lang function) */
+$user=$save_user ;
+  /* ****************************************************************** */
+switch_lang_back();
+}
 
 
@@ -123,5 +133,13 @@
 function ResendMail2User($typemail, $user_id, $username, $email, $confirm)
 {
-  global $conf;
+  /* Only available for next Piwigo release (bug in switch_lang function) */
+  //global $conf;
+  
+  /* ****************************************************************** */
+  /* Delete this after new Piwigo release (bug in switch_lang function) */
+  global $conf, $user;
+  $save_user = $user; 
+  /* ****************************************************************** */
+  
   $conf_nbc_UserAdvManager = isset($conf['nbc_UserAdvManager']) ? explode(";" , $conf['nbc_UserAdvManager']) : array();
 	$conf_nbc_UserAdvManager_ConfirmMail = isset($conf['nbc_UserAdvManager_ConfirmMail']) ? explode(";" , $conf['nbc_UserAdvManager_ConfirmMail']) : array();
@@ -140,6 +158,9 @@
   $data = mysql_fetch_assoc(pwg_query($query));
   $language = $data['language'];
+  
 /* And switch gallery to this language before using personalized and multilangual contents */
   switch_lang_to($data['language']);
+   
+  load_language('plugin.lang', NBC_UAM_PATH);
 
   switch($typemail)
@@ -201,6 +222,4 @@
   ));
 
-/* Switching back to default language */
-switch_lang_back();
 /* ********************** */
 /* Email sending debugger */
@@ -208,7 +227,15 @@
 /* the send of emails for */
 /* debugging              */
-/* ********************** */  
-//  MailLog($email,$subject);
 /* ********************** */
+//$content = ($infos1."\n\n").(isset($infos2) ? l10n_args($infos2)."\n\n" : "").get_absolute_root_url();
+//MailLog($email,$subject,$content,$language);
+/* ********************** */
+
+/* Switching back to default language */
+  /* ****************************************************************** */
+  /* Delete this after new Piwigo release (bug in switch_lang function) */
+$user=$save_user ;
+  /* ****************************************************************** */
+switch_lang_back();
 }
 
@@ -217,5 +244,13 @@
 function ghostreminder($user_id, $username, $email)
 {
-  global $conf;
+  /* Only available for next Piwigo release (bug in switch_lang function) */
+  //global $conf;
+  
+  /* ****************************************************************** */
+  /* Delete this after new Piwigo release (bug in switch_lang function) */
+  global $conf, $user;
+  $save_user = $user; 
+  /* ****************************************************************** */
+  
   $conf_nbc_UserAdvManager = isset($conf['nbc_UserAdvManager']) ? explode(";" , $conf['nbc_UserAdvManager']) : array();
   
@@ -232,9 +267,12 @@
   $data = mysql_fetch_assoc(pwg_query($query));
   $language = $data['language'];
+
 /* And switch gallery to this language before using personalized and multilangual contents */
   switch_lang_to($data['language']);
-
-  $subject = '['.$conf['gallery_title'].'] '.l10n_args(get_l10n_args('Ghost_remainder_of_%s', $username));
-      
+   
+  load_language('plugin.lang', NBC_UAM_PATH);
+  
+  $subject = '['.$conf['gallery_title'].'] '.l10n_args(get_l10n_args('Ghost_reminder_of_%s', $username));     
+
   if (isset($conf_nbc_UserAdvManager[19]) and $conf_nbc_UserAdvManager[19] <> '' and isset($conf_nbc_UserAdvManager[17]) and $conf_nbc_UserAdvManager[17] == 'true')
   {
@@ -243,6 +281,9 @@
       $infos1 = get_user_language_desc($conf_nbc_UserAdvManager[19])."\n\n";
     }
-    else $infos1 = l10n($conf_nbc_UserAdvManager[19])."\n\n";
-    
+    else
+    {
+      $infos1 = l10n($conf_nbc_UserAdvManager[19])."\n\n";
+    }
+
     resetlastvisit($user_id);
   }
@@ -253,6 +294,4 @@
   ));
 
-/* Switching back to default language */
-switch_lang_back();
 /* ********************** */
 /* Email sending debugger */
@@ -260,7 +299,15 @@
 /* the send of emails for */
 /* debugging              */
-/* ********************** */  
-//  MailLog($email,$subject);
 /* ********************** */
+//$content = get_user_language_desc($conf_nbc_UserAdvManager[19])."\n\n";  
+//MailLog($email,$subject,$content,$language);
+/* ********************** */
+
+/* Switching back to default language */
+  /* ****************************************************************** */
+  /* Delete this after new Piwigo release (bug in switch_lang function) */
+$user=$save_user ;
+  /* ****************************************************************** */
+switch_lang_back();
 }
 
@@ -343,5 +390,5 @@
     }
     
-    return get_absolute_root_url().NBC_UserAdvManager_PATH.'ConfirmMail.php?key='.$Confirm_Mail_ID;
+    return get_absolute_root_url().NBC_UAM_PATH.'ConfirmMail.php?key='.$Confirm_Mail_ID;
   }
 }
@@ -373,5 +420,5 @@
 		pwg_query($query);
     
-    return get_absolute_root_url().NBC_UserAdvManager_PATH.'ConfirmMail.php?key='.$Confirm_Mail_ID;
+    return get_absolute_root_url().NBC_UAM_PATH.'ConfirmMail.php?key='.$Confirm_Mail_ID;
   }
 }
@@ -1047,3 +1094,99 @@
   return (bool)($res=mysql_query($query));
 }
+
+/* Email sending debugger function */
+function MailLog  ($to, $subject, $content, $language)
+{
+   $fo=fopen (NBC_UAM_PATH.'admin/maillog.txt','a') ;
+   fwrite($fo,"======================\n") ;
+   fwrite($fo,'le ' . date('D, d M Y H:i:s') . "\r\n");
+   fwrite($fo,$to . "\n" . $subject . "\r\n") ;
+   fwrite($fo, "\n" . $content . "\r\n") ;
+   fwrite($fo, 'Langue : '."\n" . $language . "\r\n") ;
+   fclose($fo) ;
+ //return mail ($to,$subject) ;
+}
+
+
+/* Function called from UserAdvManager_admin.php to get the plugin version */
+function PluginVer($dir)
+{
+  $path = $dir;
+
+  $plg_data = implode( '', file($path.'main.inc.php') );
+  if ( preg_match("|Plugin Name: (.*)|", $plg_data, $val) )
+  {
+    $plugin['name'] = trim( $val[1] );
+  }
+  if (preg_match("|Version: (.*)|", $plg_data, $val))
+  {
+    $plugin['version'] = trim($val[1]);
+  }
+  if ( preg_match("|Plugin URI: (.*)|", $plg_data, $val) )
+  {
+    $plugin['uri'] = trim($val[1]);
+  }
+  if ($desc = load_language('description.txt', $path.'/', array('return' => true)))
+  {
+    $plugin['description'] = trim($desc);
+  }
+  elseif ( preg_match("|Description: (.*)|", $plg_data, $val) )
+  {
+    $plugin['description'] = trim($val[1]);
+  }
+  if ( preg_match("|Author: (.*)|", $plg_data, $val) )
+  {
+    $plugin['author'] = trim($val[1]);
+  }
+  if ( preg_match("|Author URI: (.*)|", $plg_data, $val) )
+  {
+    $plugin['author uri'] = trim($val[1]);
+  }
+  if (!empty($plugin['uri']) and strpos($plugin['uri'] , 'extension_view.php?eid='))
+  {
+    list( , $extension) = explode('extension_view.php?eid=', $plugin['uri']);
+    if (is_numeric($extension)) $plugin['extension'] = $extension;
+  }
+// IMPORTANT SECURITY !
+  $plugin = array_map('htmlspecialchars', $plugin);
+
+  return $plugin ;
+}
+
+/* Funtion called in maintain.inc.php to clean obsolete files */
+function clean_obsolete_files($obsolete_file_list)
+{
+  if (!file_exists(NBC_UAM_PATH.$obsolete_file_list))
+  {
+    return TRUE;
+  }
+  $obsolete = file(NBC_UAM_PATH.$obsolete_file_list);
+  array_push($obsolete, $obsolete_file_list);
+  return clean_obsolete_list($obsolete);
+}
+
+function clean_obsolete_list($file_list = array(), &$errors = array())
+{
+  if (!function_exists('unlink'))
+  {
+      // No unlink available...
+      array_push($errors, l10n('uam_no_unlink'));
+      return FALSE;
+  }
+  $success = TRUE;
+  foreach ($file_list as $file)
+  {
+    $file = NBC_UAM_PATH . $file;
+    if (file_exists($file))
+    {
+      // Remove obsolete file
+      $success &= unlink($file);
+    }
+  }
+  if (!$success)
+  {
+      array_push($errors, l10n('uam_unlink_errors'));
+  }
+  return $success;
+}
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.13/language/de_DE/help/index.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.13/language/de_DE/help/index.php	(revision 4991)
+++ /extensions/NBC_UserAdvManager/branches/2.13/language/de_DE/help/index.php	(revision 4991)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
